/*  ####################### CSS section News Col-12 แบบที่ 1 #######################  */

.news.column-12-1 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    gap: 40px;
}

.news.column-12-1 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
}


.news.column-12-1 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

.news.column-12-1 .news-card .news--title:hover {
    color:#A1876E;
}

.news.column-12-1 .news--hr {
    width: 1px;
    height: auto;
    background-color: #EFEFEF;
}

@media (max-width: 991px) {
    .news.column-12-1 .news-card {
        flex-direction: column;
        gap: 32px;
    }

    .news.column-12-1 .news--hr {
        width: 100%;
        height: 1px;
        background-color: #EFEFEF;
    }
}

@media (max-width: 575px) {
    .news.column-12-1 .news-card {
        padding: 24px;
    }
}





/*  ####################### CSS section News Col-6 แบบที่ 1 #######################  */

.news.column-6-1 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    color: #0C0B0B;
    box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
    margin-bottom: 8px;
}

.news.column-6-1 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
    color: #0C0B0B;
    font-weight: 600;
    font-size: 20px;
}
.news.column-6-1 .news--title:hover {
    color: var(--tg-theme-primary);
}
.pd-box-news{
    padding: 16px 0 20px;
}

.news.column-6-1 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    /* font-size: 18px;
    font-weight: 400;
    line-height: 150%; */
}

.news.column-6-1 .news-card .news--title:hover {
    color: var(--primary);
}

.news.column-6-1 .news--hr {
    width: 100%;
    height: 1px;
    background-color: #EFEFEF;
}
@media (max-width: 991px) {
.news.column-6-1 .news-card {
    margin-bottom: 50px;
}
}

@media (max-width: 575px) {
    .news.column-6-1 .news-card {
        padding: 24px;
    }
}





/*  ####################### CSS section News Col-4 แบบที่ 1 #######################  */

.news.column-4-1 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.news.column-4-1 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
}


.news.column-4-1 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

.news.column-4-1 .news-card .news--title:hover {
    color: var(--primary);
}

.news.column-4-1 .news--hr {
    width: 100%;
    height: 1px;
    background-color: #EFEFEF;
}

@media (max-width: 575px) {
    .news.column-4-1 .news-card {
        padding: 24px;
    }
}






/*  ####################### CSS section News Col-12 แบบที่ 2 #######################  */

.news.column-12-2 .news-nav {
    width: fit-content;
    border: 1px solid #F2F2F2;
    border-radius: 24px;
    padding: 5px;
}

.news.column-12-2 .news-nav .nav-link {
    border: none;
    border-radius: 24px;
    padding: 12px 32px;
    color: var(--grey);
    font-size: var(--size16);
    font-weight: var(--semi-bold);
}

.news.column-12-2 .news-nav .nav-link.active {
    background-color: var(--black);
    color: var(--white);
}

.news.column-12-2 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    gap: 40px;
}

.news.column-12-2 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
}


.news.column-12-2 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

.news.column-12-2 .news-card .news--title:hover {
    color: var(--primary);
}

@media (max-width: 991px) {
    .news.column-12-2 .news-card {
        flex-direction: column;
        gap: 32px;
    }
}

@media (max-width: 575px) {
    .news.column-12-2 .news-card {
        padding: 24px;
    }

    .news.column-12-2 .news-nav .nav-link {
        padding: 12px 18px;
        font-size: 14px;
    }
}





/*  ####################### CSS section News Col-6 แบบที่ 2 #######################  */

.news.column-6-2 .news-nav {
    width: fit-content;
    border: 1px solid #F2F2F2;
    border-radius: 24px;
    padding: 5px;
}

.news.column-6-2 .news-nav .nav-link {
    border: none;
    border-radius: 24px;
    padding: 12px 32px;
    color: var(--grey);
    font-size: var(--size16);
    font-weight: var(--semi-bold);
}

.news.column-6-2 .news-nav .nav-link.active {
    background-color: var(--black);
    color: var(--white);
}

.news.column-6-2 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    gap: 40px;
}

.news.column-6-2 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
}


.news.column-6-2 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

.news.column-6-2 .news-card .news--title:hover {
    color: var(--primary);
}

@media (max-width: 991px) {
    .news.column-6-2 .news-card {
        flex-direction: column;
        gap: 32px;
    }
}

@media (max-width: 575px) {
    .news.column-6-2 .news-card {
        padding: 24px;
    }

    .news.column-6-2 .news-nav .nav-link {
        padding: 12px 18px;
        font-size: 14px;
    }
}





/*  ####################### CSS section News Col-4 แบบที่ 2 #######################  */

.news.column-4-2 .news-nav {
    width: fit-content;
    border: 1px solid #F2F2F2;
    border-radius: 24px;
    padding: 5px;
}

.news.column-4-2 .news-nav .nav-link {
    border: none;
    border-radius: 24px;
    padding: 12px 28px;
    color: var(--grey);
    font-size: var(--size16);
    font-weight: var(--semi-bold);
}

.news.column-4-2 .news-nav .nav-link.active {
    background-color: var(--black);
    color: var(--white);
}

.news.column-4-2 .news-card {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    gap: 40px;
}

.news.column-4-2 .news--title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
    transition: 0.4s ease-in-out;
}


.news.column-4-2 .description--text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* กำหนดให้แสดงผลแค่ 2 บรรทัด */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em;
}

.news.column-4-2 .news-card .news--title:hover {
    color: var(--primary);
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .news.column-4-2 .news-nav .nav-link {
        font-size: 16px;
        padding: 12px 18px;
    }
}

@media (max-width: 991px) {
    .news.column-4-2 .news-card {
        flex-direction: column;
        gap: 32px;
    }
}

@media (max-width: 575px) {
    .news.column-4-2 .news-card {
        padding: 24px;
    }

    .news.column-4-2 .news-nav .nav-link {
        padding: 12px 18px;
        font-size: 14px;
    }
}